<div class="row">
    <div class="col-lg-12">
        <ul class="page-header breadcrumb">
            <li class="active">Tesouraria</li>
            <li>
                <a ui-sref="tesouraria.registroCaixaListar">
                    Registro de Caixa
                </a>
            </li>
            <li class="active">Registrar</li>
        </ul>
    </div>
</div>
<div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <i class="fa fa-files-o fa-fw"></i>
                    Registro de Caixa
                </div>

                <div class="panel-body">
                    <div ng-controller="RegistroCaixaCtrlFormulario">

                        <div class="col-lg-7" style="margin-left: 20%">
                            <p style="text-align: right" class="required-label">Campo obrigatório</p>
                            <form id="registroCaixa" class="form form-registro-caixa" ng-submit="registroCaixaSubmit(item)"
                                  name="registroCaixa" method="post" novalidate="novalidate" >
                                <legend>Registro de Caixa</legend>
                            <fieldset>
                                <label class="required-label">Data</label>
                                <div my-datepicker model="item.dtRegistro" datepicker-options="dateOptions" format="{{format}}" myid="dt_registro" myname="dt_registro"></div>
                                <!--</div>-->
                                <div class="form-group">
                                    <label class="required-label">Descrição Lançamento</label>
                                    <div class="form-group">
                                        <select
                                                class="form-control" required="required" name="idDescLancamento"
                                                chosen="directiveOptions"
                                                data-placeholder="Selecione uma opção"
                                                ng-model="item.idDescLancamento"
                                                ng-options="obj.id as obj.label for obj in descricaoLancamentos.values"></select>
                                        <option value="">Selecione</option>
                                        </select>

                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="required-label">Descrição</label>
                                    <div class="form-group">
                                        <input type="text" value="" required="required" class="form-control" ng-model="item.noDescricao" placeholder="Descrição" name="noDescricao">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="required-label">Tipo Registro R$</label>
                                    <div class="form-group">
                                        <select
                                                class="form-control" required="required" name="idTipoRegistroCaixa"
                                                chosen="directiveOptions"
                                                data-placeholder="Selecione uma opção"
                                                ng-model="item.idTipoRegistroCaixa"
                                                ng-options="obj.id as obj.label for obj in tipoRegistroCaixas.values"></select>
                                        <option value="">Selecione</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="input-group form-group col-lg-12">
                                <label>Valor Registro</label>
                                <div class="input-group form-group col-lg-12" id="addPagamento">
                                    <button ng-click="toggleModal()" class="btn btn-default btn-success" type="button"><i class="glyphicon glyphicon-plus"></i> Adicionar</button>
                                </div>
                                <table class="table table-bordered table-responsive table-striped">
                                    <thead>
                                    <tr>
                                        <th>Forma de Pagamento</th>
                                        <th class="text-center">Valor</th>
                                        <th class="text-center">Excluir</th>
                                    </tr>
                                    </thead>
                                    <tbody id="bodyPagamento">
                                        <tr ng-repeat="pagamento in pagamentos.pagamento">
                                            <td>{{ pagamento.tipo_pagamento.no_tipo_pagamento}}</td>
                                            <td class="text-right">{{ pagamento.nu_valor | currency}}</td>
                                            <td class="text-center">
                                                <button class="btn btn-danger btn-sm" data-id="{{pagamento.id_pagamento}}" ng-click="deleteRegistryValue($event)" type="button">
                                                    Excluir
                                                </button>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>

                            </div>
                                <div class="form-group">
                                    <label></label>
                                    <div class="form-group">
                                        <a ui-sref="tesouraria.registroCaixaListar">
                                            <button class="btn btn-default btn-success">
                                                <i class="glyphicon glyphicon-arrow-left"></i> Voltar
                                            </button>
                                        </a>
                                        <button class="btn btn-default btn-primary" name='submit' ng-disabled="registroCaixa.$invalid || ngPagamentos" type="submit"><i class="glyphicon glyphicon-save"></i> Salvar</button>
                                    </div>
                                </div>
                            </fieldset>
                        </form>
                        </div>
                        <modal title="Valor Registro" visible="showModal">
                                <form id="formaPagamento" class="form form-registro-caixa" ng-submit="formaPagamentoSubmit(itemPagamento)" name="formaPagamento" method="post" novalidate="novalidate">
                                <div class="form-group">
                                    <label for="idTipoPagamento">Forma de Pagamento</label>
                                    <select required="required" class="form-control" name="idTipoPagamento" ng-model="itemPagamento.idTipoPagamento" id="idTipoPagamento" ng-model="tipoPagamento" ng-options="tipoPagamento.no_tipo_pagamento for tipoPagamento in tipoPagamentos track by tipoPagamento.id_tipo_pagamento">
                                        <option value="">Selecione</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label for="nuValor">Valor R$</label>
                                    <input type="text" required="required" class="form-control money" maxlength="45" placeholder="Valor R$" id="nuValor" name="nuValor" ng-model="itemPagamento.nuValor" ui-money-mask="2">                                </div>
                                <input type="submit" ng-disabled="formaPagamento.$invalid" value="Salvar" class="btn btn-default btn-primary" name="submit">
                                <button class="btn btn-danger" ng-click="closeModal()" type="button">Sair</button>
                            </form>
                            <div>
                                <alert ng-repeat="alert in alerts" type="{{alert.type}}" close="closeAlert($index)">{{alert.msg}}</alert>
                            </div>
                        </modal>
                    </div>
                </div>
            </div>
        </div>
</div>            